types

# Procedural File: types.inc Source Location: /lib/types.inc ## Page Details: This file is the interface to the different account types. #### Tags:
author: | Roland Gruber
#### Includes: include_once("baseType.inc") [line 32] parent class of account types include_once("lists.inc") [line 34] parent class of list views include_once($typesINC_dirname.'/'.$entry) [line 45] This includes all type definitions. ### getDefaultListAttributes [line 107]
`string getDefaultListAttributes( string $type)`
Returns the default attribute list for an account type. It is used as default value for the configuration editor. #### Tags:
return: | attribute list
#### Parameters
string | $type | account type
[ Top ] ### getListAttributeDescriptions [line 119]
`array getListAttributeDescriptions( string $type)`
Returns a list of attributes which have a translated description. This is used for the head row in the list view. #### Tags:
return: | list of descriptions
#### Parameters
string | $type | account type
[ Top ] ### getListClassName [line 95]
`string getListClassName( string $type)`
Returns the class name for the list object. #### Tags:
return: | class name
#### Parameters
string | $type | account type
[ Top ] ### getTypeAlias [line 73]
`string getTypeAlias( string $type)`
Returns the alias name of an account type. #### Tags:
return: | type alias
#### Parameters
string | $type | type name
[ Top ] ### getTypeDescription [line 84]
`string getTypeDescription( string $type)`
Returns the description of an account type. #### Tags:
return: | type description
#### Parameters
string | $type | type name
[ Top ] ### getTypes [line 54]
`array getTypes( )`
Returns a list of available account types. #### Tags:
return: | list of types
[ Top ] Documentation generated on Tue, 07 Feb 2006 17:04:03 +0100 by phpDocumentor 1.2.3